// STM32F103C8T6
// 周波数カウンター Frequency counter（別名：OCXO　校正器:Calibrator）
// 2020/05/25
// ===================================================
/* ソフトリセット機能　ON/OFF (TFT専用)*/
// #define SOFT_RESET      // PB0 HIGH ==> RESET(2021/02/01)
// ソフトリセット選択時は、ブザーは内側から見て左側のPB3とすること。
// ===================================================
//
//   (No2・3)等はPICに貼ったシールの識別番号
//

/* OCXOの自動較正モード OCXO Vcon 
　　専用PCBにてDAC(MCP4726)と連携する (TFT専用)
　　Vcon選択時は両方を有効にすること。　　　　　*/

#define TEMPORARY_DEBUG       // 一時的デバッグモード使用時に使う LINE=2185

#define OPTION_OCXO_Vcon      // I2C 0x60 以下のどちらかのデバイスを選択する。
#define OPTION_VCON_MCP4726   // MCP4726 Select
//#define OPTION_VCON_MCP4725   // MCP4725 Select （未テストにつき選択しない）

// ===================================================
/* 電子ブザーの有無を選択　有りの場合は
　　以下の電子ブザーのポートを選択 */
#define BOARD_V5_BUZZER         // BUZZER=PB0 または PB13 を使用する

/* 電子ブザーのポートを選択　何れか*/
#define BUZZER_PORT_PB0     // ディスプレー側から見てSTM32F103の右側（初期位置）
//#define BUZZER_PORT_PB13    // ディスプレー側から見てSTM32F103の左側
// #define BUZZER_PORT_PB5    // PCB V5.1 より選択可（2022/09/16より）
// ===================================================
/* 表示器の選択(何れか） */
// #define OPTION_SSD1309_OLED		// Input ANALOG_4_BUTTON_SW
#define OPTION_ILI9341_TFT		// Input XPT2046_TOUCH_SW
// ===================================================
/* GPS受信機の選択(何れか） */
//#define OPTION_AE_GNSS
#define OPTION_UBLOX_NEO

/* OPTION_UBLOX_NEO を選択した場合
　　UBlox NEO-7M M8N の識別(何れか） */
//#define SEL_UBLOX_NEO_7M
#define SEL_UBLOX_NEO_M8N
// ===================================================
/* 温度センサー使用
//  ■■先ずは、温度センサーを使うか／使わないかを設定■■
*/ 
//#define OPTION_USE_TEMPERATURE_SENSOR   // OLEDでは温度センサーは選択しないこと。

/* 温度センサーの種類を選択（いずれか一つを選択）
// 
//  ■■次に、使用するセンサーの種類を設定する。■■
//  更にセンサー校正用に、電圧値をそのまま表示する選択もあり。

//     OLED(No1) ===>LM61 ===>MPC9700A(2020/10/15)==>採用しない。
//     TFT大(No2) ===>MPC9700A ===> TMP36(2020/10/23)
//     TFT小(No3) ===>LM61
*/
//#define OPTION_TEMPERATURE_SENSOR_LM61    //  TFT小(No3)
#define OPTION_TEMPERATURE_SENSOR_TMP36   // TFT大(No2)
//#define SENSOR_TEST_MODE    // 温度センサー値を電圧値として表示する。(mV表示)


/*
 * 
 * UBlox ENO-7M M8N の識別は、以下の条件式で選択する(2020/06/07)
 * #if defined(OPTION_UBLOX_NEO) && defined(SEL_UBLOX_NEO_M8N)
 * #if defined(OPTION_UBLOX_NEO) && defined(SEL_UBLOX_NEO_7M)
 * 
 * 2020/07/17現在、温度センサーLM61は、OLEDタイプに接続。
 * 　　　　　　　　　　　　　　MPC9700Aは、TFTタイプに接続中。
 */
 // ===================================================
